# *  This Program is free software; you can redistribute it and/or modify
# *  it under the terms of the GNU General Public License as published by
# *  the Free Software Foundation; either version 2, or (at your option)
# *  any later version.
# *
# *  This Program is distributed in the hope that it will be useful,
# *  but WITHOUT ANY WARRANTY; without even the implied warranty of
# *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# *  GNU General Public License for more details.
# *
# *  You should have received a copy of the GNU General Public License
# *  along with XBMC; see the file COPYING.  If not, write to
# *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
# *  http://www.gnu.org/copyleft/gpl.html


import xbmc
import xbmcaddon


addon = xbmcaddon.Addon("service.screensavertimer.wol")
if addon.getSetting('activeatstartup') == 'true':
    ACTIVE = True
else:
    ACTIVE = False


class MyWOLMonitor(xbmc.Monitor):        
    def onScreensaverDeactivated(self):
        global ACTIVE
        ACTIVE = True
    def onScreensaverActivated(self):
        global ACTIVE
        ACTIVE = False


WOLMonitor = MyWOLMonitor()
while (not xbmc.abortRequested):
    if ACTIVE:        
        xbmc.executebuiltin('WakeOnLan(' + addon.getSetting('mac') + ')')
        if addon.getSetting('notification') == 'true':
            xbmc.executebuiltin('Notification(WOL, WOL-Paket gesendet)')
        xbmc.sleep(int(addon.getSetting('timeout')) * 60000)
    xbmc.sleep(1000)
